Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# PS_CurrentC.cpp File Reference

`#include "PS_CurrentC.h"`
`#include "tao/AnyTypeCode/Null_RefCount_Policy.h"`
`#include "tao/AnyTypeCode/TypeCode_Constants.h"`
`#include "tao/AnyTypeCode/Alias_TypeCode_Static.h"`
`#include "tao/AnyTypeCode/Objref_TypeCode_Static.h"`
`#include "tao/AnyTypeCode/Struct_TypeCode_Static.h"`
`#include "tao/AnyTypeCode/TypeCode_Struct_Field.h"`
`#include "tao/CDR.h"`
`#include "tao/AnyTypeCode/Any.h"`
`#include "tao/AnyTypeCode/Any_Impl_T.h"`
`#include "tao/AnyTypeCode/Any_Dual_Impl_T.h"`
`#include "ace/OS_NS_string.h"`

Include dependency graph for PS_CurrentC.cpp:

## Namespaces
namespace | TAO
namespace | PortableServer
## Functions
TAO::TypeCode::Struct< char const *,::CORBA::TypeCode_ptr const *, TAO::TypeCode::Struct_Field< char const *,::CORBA::TypeCode_ptr const * > const *, TAO::Null_RefCount_Policy > | _tao_tc_PortableServer_Current_NoContext (::CORBA::tk_except,"IDL:omg.org/PortableServer/Current/NoContext:2.3","NoContext", _tao_fields_PortableServer_Current_NoContext, 0)
TAO::TypeCode::Objref< char const *, TAO::Null_RefCount_Policy > | _tao_tc_PortableServer_Current (::CORBA::tk_local_interface,"IDL:omg.org/PortableServer/Current:2.3","Current")
## Variables
TAO::TypeCode::Struct_Field< char const *,::CORBA::TypeCode_ptr const * > const *const | _tao_fields_PortableServer_Current_NoContext = 0
::CORBA::TypeCode_ptr const | _tc_Current

## Function Documentation

TAO::TypeCode::Objref<char const *, TAO::Null_RefCount_Policy> _tao_tc_PortableServer_Current | ( | ::CORBA::tk_local_interface | ,
|  | "IDL:omg.org/PortableServer/Current:2.3" | ,
|  | "Current" |
| ) | `[static]`

TAO::TypeCode::Struct<char const *, ::CORBA::TypeCode_ptr const *, TAO::TypeCode::Struct_Field<char const *, ::CORBA::TypeCode_ptr const *> const *, TAO::Null_RefCount_Policy> _tao_tc_PortableServer_Current_NoContext | ( | ::CORBA::tk_except | ,
|  | "IDL:omg.org/PortableServer/Current/NoContext:2.3" | ,
|  | "NoContext" | ,
|  | _tao_fields_PortableServer_Current_NoContext | ,
|  | 0 |
| ) | `[static]`

## Variable Documentation

TAO::TypeCode::Struct_Field<char const *, ::CORBA::TypeCode_ptr const *> const* const _tao_fields_PortableServer_Current_NoContext = 0`[static]`

TAO_PortableServer_Export::CORBA::TypeCode_ptr const PortableServer::_tc_Current

| Initial value:
        &_tao_tc_PortableServer_Current